package com.multictrl.common.interceptor;

/**
 * 数据鉴权
 *
 * @author Sdy
 * @since 1.0.0 2026/5/26
 */
public class DataScopeContext {
    private static final ThreadLocal<DataScope> DATA_SCOPE_HOLDER = new ThreadLocal<>();

    public static void setDataScope(DataScope dataScope) {
        DATA_SCOPE_HOLDER.set(dataScope);
    }

    public static DataScope getDataScope() {
        return DATA_SCOPE_HOLDER.get();
    }

    public static void clear() {
        DATA_SCOPE_HOLDER.remove();
    }
}
